import { ApiObject, GroupVersionKind } from 'cdk8s';
import { NamedVars } from '../../utils/repositoryClaimUtils';
import { FirestartrGithubRepositoryProps } from '../../../imports/firestartr.dev';
import { IUnitializedStateKey } from '../../claims/base';
import { BaseGithubChart } from './base';
export declare class GithubRepositoryChart extends BaseGithubChart {
    template(): FirestartrGithubRepositoryProps | IUnitializedStateKey;
    render(): Promise<this>;
    gvk(): GroupVersionKind;
    postRenderFeatures(cr: any): Promise<void>;
    postRenderSecretsSection(cr: any): Promise<void>;
    instanceApiObject(template: any): ApiObject;
    /**
     * @description This method creates the permissions data for the repository
     * @param claim
     * @returns Permission[]
     */
    private createPermissions;
    /**
     * @description This method creates the vars data for the repository
     * @param claim
     * @returns VarsConfiguration
     */
    private createVars;
    formatVars(blockDefinition: any): NamedVars;
    extraCharts(): {
        claim: {
            kind: string;
            name: string;
        };
        chart: ApiObject;
    }[];
}
